Jump to: navigation, search

Scout/Release/Luna


Scout
Wiki Home
Website
DownloadGit
Community
ForumsBlogTwitter
Bugzilla
Bugzilla

Eclipse Scout (Luna Release)

EARLY WORKING DRAFT, NOT YET REVIEWED

 20130701: This page is mostly copy/paste from the Kepler release. 
 During the Luna release train its content will be amended/updated to Scout's final luna release page.

ScoutIcon32c.jpg

This Wiki page is to cover the relevant aspects to fulfill the release review as described here for Eclipse Scout release 3.10 (Luna).

Useful Luna Links

New and Noteworthy

New and Noteworthy is now provided for every milestone.


Scout Release Review Documentation

  • TODO - Docuware for the Scout 3.10.0 release review

End-of-Life

With the Scout Luna release no significant feature is going end-of-life so far ().

Bugzilla Tickets

TODO

Target Environment

In order to remain current, each Eclipse Project release targets reasonably current operating environments.

All of Eclipse Scout is "pure" Java code and has no direct dependence on the underlying operating system. The chief dependence is therefore on the Java Runtime (JRE) itself.

In general, the 3.10 release of Eclipse Scout is developed on an Oracle Java SE 6 VM. As such, Scout is targeted at all modern, desktop Java VMs. Most functionality is available for Java SE 6 level development everywhere, and extended development capabilities are made available on the VMs that support them.

There are many different implementations of the Java Platform running atop a variety of operating systems and various CPU architectures. Beside that Scout 3.10 also runs on various Eclipse platforms. For Kepler release of Scout the following Eclipse platforms are supported:

  • Eclipse Helios (3.6)
  • Eclipse Indigo (3.7)
  • Eclipse Juno (3.8 / 4.2)
  • Eclipse Kepler (4.3)
  • Eclipse Luna (4.4)

We focus our testing on a handful of popular combinations (OS, HW Arch, Java VM, Eclipse platform); these are our reference platforms. Scout undoubtedly runs fine in many operating environments beyond the reference platforms we test. However, since we do not systematically test them we cannot vouch for them. Problems encountered when running Scout on a non-reference platform that cannot be recreated on any reference platform will be given lower priority than problems with running Scout on a reference platform.

Scout 3.10 will be tested and validated on the following reference platforms:

Operating System OS Version Hardware Java VM (vendor, version, arch) Eclipse Platform (version, arch)
Windows 7 x86 32-bit Oracle, 1.6, 32-bit 4.3, 32-bit
x86 64-bit 3.6.2, 32-bit
3.7.2, 32-bit
3.8.2, 32-bit
4.2.2, 32-bit
Oracle, 1.6, 64-bit 4.3, 64-bit
Oracle, 1.7, 64-bit 4.3, 64-bit, EPP
8 x86 64-bit Oracle, 1.7, 64-bit 4.3, 64-bit, EPP
Oracle, 1.6, 32-bit 4.3, 32-bit
Ubuntu Linux 12.10 x86 64-bit OpenJDK, 1.7, 64-bit 4.3, 64-bit, EPP
x86 32-bit OpenJDK, 1.7, 32-bit 4.3, 32-bit EPP
Oracle, 1.6, 32-bit
Apple Mac OS 10.8 x86 64-bit Oracle, 1.7, 64-bit 4.3, 64-bit
Apple, 1.6, 64-bit 4.3, 32-bit, EPP
4.3, 64-bit, EPP


The RAP (Rich Ajax Platform) UI for Eclipse Scout requires at least the following browser versions:

  • Microsoft Internet Explorer 9
  • Mozilla Firefox 9
  • Google Chrome 16
  • Apple Safari 5


Mac OSX and JDK1.7

With MacOSX there is a Problems with SWT/AWT Bridge in JDK1.7. See following Bugs: NSView-based implementation of sun.awt.EmbeddedFrame, SWT_AWT bridge broken by openjdk 1.7.0_04ea.

Compatibility with Previous Releases

Scout RT 3.9 will be downwards compatible with your Scout 3.8 workspace except in those areas noted in the release notes. Programs that use affected APIs and extension points will need to apply the migrations described in Scout/Migration/3.9. API Compatibility rules are described in the coding guidelines.

Scout SDK 3.9 will NOT be upwards compatible with Scout SDK 3.8. Currently, the Scout SDK API is not yet used frequently.

Support for Eclipse 3.x workbench

As Scout supports Eclipse 3.6 - 4.3 we will continue to support the 3.x workbench. This is done since it is anticipated some adopters may not be able to move to 4.3 right away, and may need to wait for their own "release train" to get lined up.

But we anticipate having only one stream of development. Scout will continue to work with the 3.x and 4.x platform (using the compatibility layer) and no 4.x specific APIs. For Kepler we will make sure that Scout will compile against 4.3 (and 4.2, 3.8, 3.7, 3.6) to ensure that we do not introduce new API useage that breaks compatibility.

However, we will focus our testing efforts on 4.3. We will accept bugs as equally valid if they are reported when running on another Eclipse platform. We will provide this type of one-stream, multi-platform support for Kepler and its two coordinated maintenance releases.

Build Process

Ramp down Policy

We use daily builds. No API changes after M6, no new features after M7. In the RC phase only bugs marked P2 or higher or severity major or higher will be fixed.

Unit Tests

Unit tests are executed during the nightly build of Eclipse Scout RT and Eclipse Scout SDK. The test suites contain simple unit tests as well as GUI tests. The latter are based on Scout's testing support bundles which is built on top of java.awt.Robot. Therefore our GUI tests require a fully-fledged desktop environment. The tests are currently executed on BSI's infrastructure.

Current Project Metrics

project metrics for Eclipse Scout provided on [ohloh]

Previous Release Documentation